Package ghidra.program.model.listing

# Interface BookmarkType

All Known Implementing Classes:
  `BookmarkTypeDB`

public interface BookmarkType
Interface for bookmark types.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANALYSIS`
  `static final String`
  `ERROR`
  `static final String`
  `INFO`
  `static final String`
  `NOTE`
  `static final String`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Icon`
  `getIcon()`
  Returns Icon associated with this type or null if one has not been set by a plugin.
  `Color`
  `getMarkerColor()`
  Returns marker color associated with this type or null if one has not been set by a plugin.
  `int`
  `getMarkerPriority()`
  Returns marker priority associated with this type or -1 if one has not been set by a plugin.
  `int`
  `getTypeId()`
  Returns the id associated with this bookmark type.
  `String`
  `getTypeString()`
  Returns the type as a string.
  `boolean`
  `hasBookmarks()`
  Returns true if there is at least one bookmark defined for this type.

- ## Field Details

  - ### NOTE

    static final String NOTE
    See Also:
      - Constant Field Values

  - ### INFO

    static final String INFO
    See Also:
      - Constant Field Values

  - ### ERROR

    static final String ERROR
    See Also:
      - Constant Field Values

  - ### WARNING

    static final String WARNING
    See Also:
      - Constant Field Values

  - ### ANALYSIS

    static final String ANALYSIS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getTypeString

    String getTypeString()
    Returns the type as a string.
    Returns:
      the type as a string.

  - ### getIcon

    Icon getIcon()
    Returns Icon associated with this type or null if one has not been set by a plugin.
    Returns:
      the icon.

  - ### getMarkerColor

    Color getMarkerColor()
    Returns marker color associated with this type or null if one has not been set by a plugin.
    Returns:
      the color.

  - ### getMarkerPriority

    int getMarkerPriority()
    Returns marker priority associated with this type or -1 if one has not been set by a plugin.
    Returns:
      the priority.

  - ### hasBookmarks

    boolean hasBookmarks()
    Returns true if there is at least one bookmark defined for this type.
    Returns:
      true if there is at least one bookmark defined for this type.

  - ### getTypeId

    int getTypeId()
    Returns the id associated with this bookmark type.
    Returns:
      the id associated with this bookmark type.